<template>
  <layout-login-vue page="Password Recupere" :arrow="true" arrowUri="/login">
      <h3 class="message" v-if="message">{{ message }}</h3>
      <form class="form-login">
        <label for="inputEmail" class="sr-only">Email address</label>
        <b-form-input v-model="values.email" placeholder="Email address" type="email" :required="true" autofocus class="form"></b-form-input>

        <b-button class="btn-lg btn-block" variant="primary" @click="passwordRecupere" id="signin" :disabled="completForm()">Sign in</b-button>
      </form>
  </layout-login-vue>
</template>

<script>
import LayoutLoginVue from '@/layouts/LayoutLoginVue';

export default {
  name: 'login',
  components: {
    LayoutLoginVue
  },
  data () {
    return {
      message: '',
      values: {
        rememberme: '',
        password: '',
        email: ''
      }
    }
  },
  methods:{
    passwordRecupere(){
      this.$http
        .post('users/login', this.values)
        .then(response => {
          localStorage.token = response.data.token
          localStorage.user = response.data.user
          this.$store.commit( 'setUsuario',  {user: response.data.user, token: response.data.token});
          this.$router.push({ name: 'home'})
        })
        .catch(error => {
          if (error) {
            this.message = 'Email e/ou Senha incorreto(s)'
          }else{
            this.message = 'Servidor indisponivel, tente mais tarde'
          }
        })
    },
    completForm(){
      if (this.values.password && this.values.email){
        return false
      }
      return true
    }
  }
}
</script>
